Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I am installing phpMyAdmin (4.2.3) on Windows 2008 R2, with IIS7, PHP 5.5.12 and get the error

"PHP Startup: Unable to load dynamic library 'ext\php_interbase.dll' - The specified module could not be found."

The file 'ext\php_interbase.dll' is present, the phpinfo() page displays OK (but without a section headed 'interbase').

After reading several messages on this error on various forums, it seems to suggest that I am missing the file 'fbclient.dll' within my PHP install.

Could anyone advise where I can get this DLL / or anything else I need to do.

Thanks for your help

share|improve this question
    
phpMyAdmin doesn't use the InterBase library; this is a generic PHP configuration problem. If you don't need InterBase for any of your other applications, as the others have suggested the easiest fix is to just remove the offending lines from your configuration. –  ibennetch Jul 19 at 13:54

2 Answers 2

As told by @Nathan Check the Firebird extension in PHP (php_pdo_firebird.dll, php_interbase.dll) in ext folder. Adding them in my php.ini file or otherwise if you don't need it just comment it out .

...
[PHP_PDO_FIREBIRD]
extension=php_pdo_firebird.dll
[PHP_INTERBASE]
extension=php_interbase.dll
...

For finding the missing dll follow this link:

http://www.undermyhat.org/blog/2009/07/php-windows-install-unable-to-load-dynamic-library-php_mssql-dll-php_pspell-dll-etc/

Copy FbClient.dll it in the respective directory

share|improve this answer

This is a database called "Interbase", as noted in the PHP manual.

You need to install Firebird to make use of that library. Otherwise, just disable it if you're not using it.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.